Create Audio Post
curl --request POST \
--url https://api.fourthwall.com/open-api/v1.1/memberships/posts/audios \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"post": {
"title": "<string>",
"description": "<string>",
"liveAt": "2023-11-07T05:31:56Z",
"tags": [
"<string>"
],
"series": [
{}
]
},
"access": {
"tiers": [
{
"id": 123
}
],
"price": 25150
},
"notifications": {
"enabled": true
},
"imageResourceId": 123,
"mediaUrl": "<string>",
"skipMediaUrlVerification": true
}
'import requests
url = "https://api.fourthwall.com/open-api/v1.1/memberships/posts/audios"
payload = {
"post": {
"title": "<string>",
"description": "<string>",
"liveAt": "2023-11-07T05:31:56Z",
"tags": ["<string>"],
"series": [{}]
},
"access": {
"tiers": [{ "id": 123 }],
"price": 25150
},
"notifications": { "enabled": True },
"imageResourceId": 123,
"mediaUrl": "<string>",
"skipMediaUrlVerification": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
post: {
title: '<string>',
description: '<string>',
liveAt: '2023-11-07T05:31:56Z',
tags: ['<string>'],
series: [{}]
},
access: {tiers: [{id: 123}], price: 25150},
notifications: {enabled: true},
imageResourceId: 123,
mediaUrl: '<string>',
skipMediaUrlVerification: true
})
};
fetch('https://api.fourthwall.com/open-api/v1.1/memberships/posts/audios', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "Audio",
"action": "Create",
"postId": 123,
"audioDirectUploadData": {
"uploadUrl": "<string>"
}
}{
"parameters": "{ \"post_id\": [ \"is missing\" ] }",
"body": "{ \"discount\": { \"percentOff\": [ \"is missing\" ] } }"
}Posts
Create Audio Post
POST
/
open-api
/
v1.1
/
memberships
/
posts
/
audios
Create Audio Post
OAuth scope:
memberships_writeAPI keys have full access to this endpoint.Authorizations
oauthbasicAuth
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Body
application/json
⌘I